curl --request GET \
--url https://api.bigdata.com/contents/v1/tags \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.bigdata.com/contents/v1/tags"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.bigdata.com/contents/v1/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bigdata.com/contents/v1/tags",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bigdata.com/contents/v1/tags"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bigdata.com/contents/v1/tags")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bigdata.com/contents/v1/tags")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"results": [
{
"id": "019a48b4-e573-7203-945a-2e7c4c164217",
"name": "from:user@email.com",
"created_at": "2025-11-03T07:53:26.150858Z",
"updated_at": "2025-11-03T07:53:26.150859Z",
"file_count": 40
},
{
"id": "019a3a11-8e6a-7296-afe0-bdfe4779982e",
"name": "to:user@email.com",
"created_at": "2025-10-31T11:40:20.480070Z",
"updated_at": "2025-10-31T11:40:20.480074Z",
"file_count": 26
},
{
"id": "019b2c22-9f7b-83a7-bfc1-cef58810933f",
"name": "broker:Broker Name",
"created_at": "2026-04-07T09:30:00.000000Z",
"updated_at": "2026-04-07T09:30:00.000000Z",
"file_count": 10
}
]
}List tags
Returns all tags visible to the user’s organization, with the number of documents associated with each tag. Use the optional prefix query parameter to return only tags whose names start with that string (for example broker:, label:,from:, or to:). Use the optional contains query parameter to return only tags whose names contain that string (for example My connector, My tag or my@email.com). Tags are created automatically for connectors: label:Connector Name for any connector type, from:user@email.com / to:user@email.com for email and broker:Broker Name for investment research connectors.
curl --request GET \
--url https://api.bigdata.com/contents/v1/tags \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.bigdata.com/contents/v1/tags"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.bigdata.com/contents/v1/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bigdata.com/contents/v1/tags",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bigdata.com/contents/v1/tags"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bigdata.com/contents/v1/tags")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bigdata.com/contents/v1/tags")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"results": [
{
"id": "019a48b4-e573-7203-945a-2e7c4c164217",
"name": "from:user@email.com",
"created_at": "2025-11-03T07:53:26.150858Z",
"updated_at": "2025-11-03T07:53:26.150859Z",
"file_count": 40
},
{
"id": "019a3a11-8e6a-7296-afe0-bdfe4779982e",
"name": "to:user@email.com",
"created_at": "2025-10-31T11:40:20.480070Z",
"updated_at": "2025-10-31T11:40:20.480074Z",
"file_count": 26
},
{
"id": "019b2c22-9f7b-83a7-bfc1-cef58810933f",
"name": "broker:Broker Name",
"created_at": "2026-04-07T09:30:00.000000Z",
"updated_at": "2026-04-07T09:30:00.000000Z",
"file_count": 10
}
]
}Authorizations
Query Parameters
Response
List of tag objects in a results array. Each tag includes id, name, and file_count. When prefix is set, only tags matching that prefix are included. Use the tag name in the tags query parameter of Search Service or Research Agent to filter by that tag.
Was this page helpful?